#KAOBanner {
  position: fixed;
  bottom: 0;
  width: 100%;
}

.footer {
  position: fixed;
  bottom: 0;
  width: 100%;
}

html, body {
  margin: 0;
  padding: 0;
  color: white;
  font-family: monospace;
  height: 100%;
  font-size: 14px;
}

body {
  background-image: url("https://static.kazducaine.com/img/kazzeface.png");
  background-position: 30% center;
  background-size: cover;
  background-repeat: no-repeat;
}

a:link, a:visited {
  color: white;
  text-decoration: underline;
  text-decoration-color: #d400ff;
  transition: .4s all;
}

button {
  font-family: monospace;
  text-decoration: none;
  font-weight: bold;
}

a:link, a:visited button {
  text-decoration: none;
  color: white;
}

a:hover, a:active {
  color: #d400ff;
}

a[target="_blank"]::after {
  content: "";
  display: inline-block;
  width: 12px;
  height: 12px;
  margin-left: 4px;
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24' fill='none' stroke='%23d400ff' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'%3E%3Cpath d='M18 13v6a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2V8a2 2 0 0 1 2-2h6'%3E%3C/path%3E%3Cpolyline points='15 3 21 3 21 9'%3E%3C/polyline%3E%3Cline x1='10' y1='14' x2='21' y2='3'%3E%3C/line%3E%3C/svg%3E");
  background-size: contain;
  background-repeat: no-repeat;
  vertical-align: middle; 
  color: #d400ff;
}

.header {
  position: fixed;
  width: calc(100% - 40px);
  background-color: rgba(33, 32, 31, .75);
  padding: 8px 15px;
  margin: 5px;
  border-radius: 9px;
  backdrop-filter: blur(5px);
  vertical-align: middle;
  text-align: center;
  display: flex;
  justify-content: center;
  align-items: center;
  row-gap: 5px; 
  column-gap: 10px;
  flex-shrink: 0;
  flex-wrap: wrap;
  transition: all .4s;
}

.header button, .header h1 {
  display: inline-block;
  color: white;
}

.header > h1 {
  font-size: 18px;
  padding: 0;
  padding-right: 10px;
  margin: 0;
}

.header button {
  background-color: transparent;
  border: 2px solid white;
  padding: 4px 8px;
  margin: 0;
  width: fit-content;
  border-radius: 9px;
  transition: all .4s;
}

.header button:hover {
  color: #d400ff;  
}

.footer {
  position: fixed;
  width: calc(100% - 40px);
  background-color: rgba(33, 32, 31, .75);
  padding: 8px 15px;
  margin: 5px;
  border-radius: 9px;
  backdrop-filter: blur(5px);
  vertical-align: middle;
  text-align: center;
  display: flex;
  justify-content: center;
  align-items: center;
  row-gap: 5px; 
  column-gap: 10px;
  flex-shrink: 0;
  flex-wrap: wrap;
  transition: all .4s;
  bottom: 0;
}

.footer::before {
  content: "©2026 | Designed and Developed by Kaz DuCaine";
}

.body {
  position: absolute;
  left: 50%;
  top: 50%;
  -webkit-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
  padding: 10px;
  background-color: rgba(33, 32, 31, .75);
  backdrop-filter: blur(5px);
  border-radius: 9px;
  width: 500px;
  max-width: 80%;
  height: fit-content;
  max-height: 65vh;
  overflow: visible;
  display: flex;
  flex-direction: column;
}

.body > * {
  margin: 0;
  padding: 0;
}

.body > h1::before, .body > h2::before {
  content: "______";
  position: absolute;
  margin-top: 2px;
  margin-left: -6px;
  color: rgb(212, 0, 255);
  border-radius: 100px;
  overflow: hidden;
  font-style: bold;
  z-index:-1;
}

.body > h1, .body > h2 {
  margin-left: -20px;
  font-style: italic;
  z-index: 11;
  position: relative;
}

.scroll {
  overflow-y: scroll;
  padding: 10px;
  max-height: calc(70vh - 35px);
  mask-image: linear-gradient(
    to bottom,
    transparent 0%,
    black 8%,
    black 92%,
    transparent 100%
  );
  -webkit-mask-image: linear-gradient(
    to bottom,
    transparent 0%,
    black 8%,
    black 92%,
    transparent 100%
  );
}

.grid-table {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  row-gap: 0; 
  background-color: transparent;
}

.table-header {
  color: white;
  font-weight: bold;
  padding: 10px 0;
  border-bottom: 1px solid #eee;
}

.table-cell {
  padding: 10px 0;
}

.table-cell:not(:nth-last-child(-n+2)) {
  border-bottom: 0.5px solid grey;
}

.grid-table > :nth-child(odd) {
  text-align: left;
}

.grid-table > :nth-child(even) {
  text-align: right;
}

.profile {
  max-height: 25px;
  width: auto;
  object-fit: contain;
  border-radius: 50px;
}

ul {
  list-style: none;
  margin: 0;
  padding: 0;
}

ul li {
  position: relative;
  padding-left: 20px;
  margin-bottom: 8px;
}

ul li::before {
  content: "✦";
  position: absolute;
  left: 1%;
  top: 25%;
  font-size: 10px;
  line-height: 1;
  color: #d400ff;
}

@media screen and (max-width: 525px) {
  .header > h1 {
    display: none;
  }
}

.portCard {
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  align-items: flex-start;
  border: 1px solid grey;
  padding: 10px;
  height: 100px;
  border-radius: 9px;
  background-size: cover;
  transition: all .4s;
}

.portGrid {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(170px, 1fr));
  gap: 16px;
}
